Fri Jun 16 06:19:24 1995  Paul Eggert  <eggert@twinsun.com>

	* version.c: Version 5.7 released.
	* Makefile.in (TESTPREFIX): Remove; replaced with $(srcdir)/.
	* rcsutil.c (catchsig): Remove `return'.
	* Makefile.in, ci.c, co.c, conf.sh, ident.c, maketime.c, maketime.h,
	merge.c, merger.c, partime.c, partime.h, rcs.c, rcsbase.h, rcsclean.c,
	rcsdiff.c, rcsedit.c, rcsfcmp.c, rcsfnms.c, rcsgen.c, rcskeep.c,
	rcskeys.c, rcslex.c, rcsmap.c, rcsmerge.c, rcsrev.c, rcssyn.c, rcstest,
	rcstime.c, rcsutil.c, rlog.c:  Update FSF address.

Mon Jun  5 08:30:02 1995  Paul Eggert  <eggert@twinsun.com>

	* version.c (RCS_version_string): Update to 5.6.8.1 (beta).

Fri Jun  2 18:19:00 1995  Paul Eggert  <eggert@twinsun.com>

	* rcsutil.c (catchsigaction):
	New name for `catchsig', for sa_sigaction signature.
	Use nRCS even if !has_psiginfo, to remove unused variable warning.
	(setup_catchsig): Use sa_sigaction only if has_sa_sigaction.
	Use ENOTSUP only if defined.
	* conf.sh, conf.heg (has_sa_sigaction): New configuration variable.

Thu Jun  1 16:23:43 1995  Paul Eggert  <eggert@twinsun.com>

	* version.c (RCS_version_string): Update to 5.6.8 (beta).

	* Makefile.in:
	Renamed from Makefile; autoconf now preprocesses this file.
	Rewrite to follow GNU makefile standards.
	(clean): `rm core*' -> `rm core core.* *.core', for BSD/OS 2.0.

	* ci.c (main): Add -kb.  Use `cmpdate', not `cmpnum', to compare dates.
	Don't worry about errno after ftruncate fails.
	Fix input file rewinding bug when large_memory && !maps_memory
	and checking in a branch tip.

	(fixwork): Fall back on chmod if fchmod fails; it might be ENOSYS.

	* co.c (main, preparejoin):
	Pass argument instead of using `join' static variable.
	(main): Add -kb.

	* ident.c (exiterr, reportError):
	New functions, needed for DOS and OS/2 ports.
	(scanfile): Use them.

	* rcsdiff.c (main):
	Pass "--binary" if -kb and if --binary makes a difference.
	Don't treat + options specially.

	* rcsmerge.c (main):
	Report an error if -kb, so don't worry about binary stdout.
	Punctuate messages properly.  Rewrite to avoid `goto end'.

	* rcs.c (main):
	Warn if no options were given.  Punctuate messages properly.

	(sendmail): Rewind mailmess before flushing it.
	Output another warning if mail should work but fails.

	(buildeltatext): Pass "--binary" if -kb and if --binary is needed.

	* merger.c (normalize_arg): Don't treat + options specially.
	(merge): Don't make -A the default; always use -E.
	Always open working file in text mode.

	* rlog.c (struct rcslockers): Renamed from `struct lockers'.
	(getnumericrev): Return error indication instead of ignoring errors.
	(main): Check it.  Don't use dateform.
	(recentdate, extdate): cmpnum -> cmpdate

	* rcsclean.c (unlock): struct lock -> struct rcslock

	* rcsedit.c (dirtpname): No longer external.
	(do_link): Simplify logic.
	(finisheditline, finishedit): Replace Iseek/Itell with definiens.
	(fopen_update_truncate): Replace `#if' with `if'.
	(keyreplace, makedirtemp): dirlen(x) -> basefilename(x)-x.

	(edit_string): Fix bug: if !large_memory, a bogus trailing `@' was
	output at the end of incomplete lines.

	(keyreplace): Do not assume that seeking backwards
	at the start of a file will fail; on some systems it succeeds.
	Convert C- and Pascal-style comment starts to ` *' in comment leader.

	(rcswriteopen): Use fdSafer to get safer file descriptor.
	Open RCS file with FOPEN_RB.

	(chnamemod): Work around bad_NFS_rename; don't ignore un_link result.
	Fall back on chmod if fchmod fails, since it might be ENOSYS.

	(aflush): Move to rcslex.c.

	* rcsfcmp.c (rcsfcmp): Add -kb support.

	* rcsfnms.c (basefilename): Renamed from basename to avoid collisions.
	(dirlen): Remove (for similar reasons).
	(rcsreadopen): Open with FOPEN_RB.
	(SLASHSLASH_is_SLASH): Default is 0.
	(getcwd): Work around bad_wait_if_SIGCHLD_ignored bug.

	* rcsgen.c (putadmin): Open RCS file with FOPEN_WB.

	* rcskeep.c (getoldkeys): Don't panic if a Name: is empty.

	* rcslex.c:
	(map_fd_deallocate, mmap_deallocate, read_deallocate,
	nothing_to_deallocate): New functions.
	(Iclose): If large_memory and maps_memory, use them to deallocate.
	(fd2RILE): Use map_fd if available.
	If one mapping method fails, try the next instead of giving up;
	if they all fail, fall back on ordinary read.
	Work around bug: root mmap over NFS succeeds, but accessing dumps core.
	Use MAP_FAILED macro for mmap failure, and `char *' instead of caddr_t.
	(advise_access): Use madvise only if this instance used mmap.
	(Iopen): Use fdSafer to get safer file descriptor.
	(aflush): Moved here from rcsedit.c.

	* rcsrev.c (cmpdate, normalizeyear):
	New functions work around MKS incompatibility.
	(cmpnum, compartial): s[d] -> *(s+d) to work around Cray compiler bug.
	(genrevs, genbranch): cmpnum -> cmpdate

	* rcssyn.c (expand_names): Add "b" for -kb.
	(getdelta): Don't strip leading "19" from MKS dates; see cmpdate.

	* rcsutil.c (catchsig, restoreints, setup_catchsig):
	Use SA_SIGINFO, not has_psiginfo,
	to determine whether to use SA_SIGINFO feature,
	but also check at runtime whether the feature works.
	(catchsig): If an mmap_signal occurs, report the affected file name.
	(unsupported_SA_SIGINFO, accessName): New variables.
	(setup_catchsig): If using SA_SIGINFO, use sa_sigaction not sa_handler.
	If SA_SIGINFO fails, fall back on sa_handler method.

	(readAccessFilenameBuffer, dupSafer, fdSafer, fopenSafer): New fns.
	(concatenate): Remove.

	(runv): Work around bad_wait_if_SIGCHLD_ignored bug.
	Remove reference to OPEN_O_WORK.

	* maketime.h (adjzone, str2time):
	Time zones are now (long) seconds, not (int) minutes.
	(const): Remove.

	* maketime.c (difftm):
	Use smaller expressions, to avoid confusing buggy compilers.
	(adjzone, str2time): Time zones are (long) seconds, not (int) minutes.

	* partime.c (zone_names):
	Add "jdt", since Japan might use it.  "nrt" -> "nrft".
	Use special markers 1 and -1, not TM_LOCAL_ZONE and TM_UNDEFINED_ZONE,
	to avoid integer overflow now that time zones are seconds, not minutes.
	(parse_decimal): Round to even.
	(parzone): Time zones are now (long) seconds, not (int) minutes,
	as allowed by ISO 8601.

	* partime.h (TM_UNDEFINED_ZONE, zone):
	Now (long) seconds, not (int) minutes.
	(const): Remove.

	* rcstime.c (dateform): Remove.
	(zone_offset, str2time_checked, zone_set, date2str):
	Time zones are now (long) seconds, not (int) minutes.
	(date2str): Use `-08' style time zone, not `-0800', for ISO 8601.

	* conf.sh: `#!/bin/sh' -> `#! /bin/sh'; some picky hosts require this.
	Ensure we don't run as root; it would yield the wrong answers.
	Ensure the C compiler works on a trivial program first.
	Rename incoming environment variables to follow GNU makefile standards.
	Use $PREPARE_CC consistently.

	(_POSIX_C_SOURCE, <mach/mach.h>, <net/errno.h>, has_map_fd,
	bad_NFS_rename, has_si_errno, bad_wait_if_SIGCHLD_ignored):
	New configuration options.

	(has_sys_dir_h, text_equals_binary_stdio, text_work_stdio,
	FOPEN_R, FOPEN_W, FOPEN_WPLUS, has_caddr_t, DIFF3_A): Remove.

	(O_BINARY, OPEN_O_WRONLY, FOPEN_RB, FOPEN_R_WORK, FOPEN_WB,
	FOPEN_W_WORK, FOPEN_WPLUS_WORK): New macros, for -kb support.
	(bad_fopen_wplus): Use "w+", not FOPEN_WPLUS.

	(has_const, has_volatile): Rename test functions to avoid collisions.
	(has_fchmod, has_mmap, has_vfork): fileno(stdio) -> STDIN_FILENO.
	(has_fflush_input): Don't trust fflush's return value when testing.
	(has_mmap): Use MAP_FAILED if available.  Look at 0th byte, not last.
	Define to 0 if HP-UX 8.07 or 9.*, or SunOS 5.4 before patch 10.
	(has_psiginfo): Handler's 3rd arg is void *, as per Posix 1003.1b-1993.
	(has_varargs): Don't set if has_stdarg.
	(large_memory): Also define to 1 if has_map_fd.
	(mmap_signal): Don't try to deduce it if creat yields ETXTBSY.

	* conf.heg: Adjust to latest conf.sh.

	* rcsbase.h (SIZEABLE_PATH):
	Don't depend on PATH_MAX: it's not worth configuring.
	(Ioffset_type, BINARY_EXPAND, MIN_UNEXPAND, MIN_UNCHANGED_EXPAND):
	New macros.
	(maps_memory): New macro; replaces many instances of `has_mmap'.
	(cacheptr): Renamed from cachetell.
	(struct RILE): New alternate name for RILE; the type is now recursive.
	(deallocate): New member for RILE, used for generic deallocation.
	(cacheunget_): No longer take a failure arg; just call Ierror.
	(struct rcslock): Renamed from struct lock, to avoid collisions with
	system headers on some hosts.  All users changed.
	(basefilename): Renamed from basename, likewise.
	(dirtpname): Remove; no longer external.
	(dirlen, dateform): Remove; no longer used.
	(cmpdate, fopenSafer, fdSafer, readAccessFilenameBuffer): New fns.
	(zonelenmax): Increase to 9 for full ISO 8601 format.
	(catchmmapints): Depend on has_NFS.

	* rcstest: Add -kb test.
	`#!/bin/sh' -> `#! /bin/sh'; some picky hosts require this.
	(ALL_CFLAGS): Renamed from CFLAGS.
	(LIBS): Renamed from LDLIBS.
	(CL): Add explicit `-o a.out'.

Thu Apr 14 06:55:24 1994  Paul Eggert  <eggert@twinsun.com>

	* conf.sh:  Relax test for puts.  Improve test for mmap; don't
	rely on getpagesize, output better messages when it fails,
	don't assume you can mmap something larger than the file,
	output "SIGSEGV" if appropriate, add commentary.

Wed Apr 13 16:31:38 1994  Paul Eggert  <eggert@twinsun.com>

	* version.c: now 5.6.7.4 (beta); intermediate versions were PC-related.
	* rcstime.c: Don't dump core if there's no zone.
	* rlog.c: Fix bug; `rlog -lxxx' inverted the sense of -l.

Sun Mar 20 04:52:58 1994  Paul Eggert  <eggert@twinsun.com>

	* version.c: now 5.6.7 (beta)

	* ci.c: Do not remove the lock when `ci -l' reverts.
	Do not generate a corrupted RCS file if the user modifies
	the working file while `ci' is running.
	* ci.c, co.c:
	Move buffer-flushes out of critical sections, as they aren't critical.
	* ci.c, co.c, merger.c, rcs.c, rcsbase.h, rcsdiff.c, rcsmerge.c,
	rcsutil.c: Specify subprocess input via file descriptor, not file name.
	* ci.c, co.c, rcs.c, rcsclean.c, rcsedit.c:
	Use ORCSerror to clean up after a fatal error.

	* ident.c: Remove `exiting' from identExit.

	* rcs.c, rcsgen.c: Flush stderr after prompt.

	* rcsclean.c: Add void_closedir support.

	* rlog.c: Emulate -V4's white space generation more precisely.
	-d'<DATE' now excludes DATE; the new syntax -d'<=DATE' includes it.
	* rlog.c, rcsgen.c: Work around SVR4 stdio performance bug.

	* rcsbase.h: Add primitives for reading backwards from a RILE;
	this is needed to go back and find the $Log prefix.

	* partime.c: Don't include rcsbase.h; you only need conf.h.
	Fix `am/pm' parsing bug.  Update time zones.

	* rcsedit.c, rcsfcmp.c:
	Normally calculate the $Log prefix from context, not from RCS file.

	* rcsfcmp.c:
	Calculate line numbers correctly even if the $Log prefix contains \n.

	* rcsfnms.c: Strip trailing SLASHes from TMPDIR; some systems need it.

	* rcslex.c: Don't worry if madvise fails.  Add Orewind.

	* rcsutil.c: Move setmtime to rcsedit.c.
	Avoid messing with I/O buffers in the child process.
	Define dup in terms of F_DUPFD if it exists.

	* Makefile: Make sure $(DESTBINDIR) exists before installing.
	Remove core* (for BSDI), RCS/a.*.

	* conf.sh: Do errno checking before readlink checking.
	Check for GCC __attribute__ infelicities.
	Output a better error message for wait problems.
	Check for AIX 3.2.0 mmap bug.  Update HP-UX test.
	Fix SLASHes typo.  Add SEEK_CUR.  Configure off_t, has_fflush_input.
	Improve test for __attribute__((noreturn)).
	* conf.heg: Adjust to latest conf.sh.

	* rcstest: Port to BSD/386 1.1's /bin/sh brain damage.
	Test for new $Log behavior.

	* co.c, merge.c, merger.c, rcs.c, rcsbase.h, rcsdiff.c, rcsedit.c,
	rcsfcmp.c, rcsfnms.c, rcsgen.c, rcskeep.c, rcslex.c, rcsmerge.c,
	rcsrev.c, rcssyn.c, rcsutil.c, rlog.c: Remove lint.

Tue Nov  9 17:55:29 1993  Paul Eggert  <eggert@twinsun.com>

	* version.c: now 5.6.6 (beta)
	* merge.c, rcsclean.c, rcsutil.c, rlog.c:
	-V now prints version on stdout and exits.
	* ci.c, co.c, rcs.c, rcsdiff.c, rcsmerge.c:
	Likewise.  Don't print usage twice.
	* Makefile: Add -Dhas_conf_h, maketime.h, partime.h, rcstime.c.
	ident wants version.o.
	* conf.heg, conf.sh: gcc doesn't do constant expressions in
	__attribute__((format(...))).
	* conf.sh: Quote $dots.
	* ident.c: Add -V.
	* maketime.c: Move RCS-specific stuff into rcstime.c.
	* maketime.h, partime.h, rcstime.c: New files.
	* partime.c: Complete rewrite from scratch.
	* rcsbase.h: Move RCS-specific time handling into rcstime.c.
	printf_string now takes two arguments, alas.
	* rcskeep.c: Use simpler time zone parsing strategy
	now that we're using ISO 8601 format.
	* rcslex.c: Fix `label: }' typo.
	* rcsrev.c: Fix format string typos.

Wed Nov  3 18:25:07 1993  Paul Eggert  <eggert@twinsun.com>

	* version.c: Initial revision; now 5.6.5 (beta)

	* ci.c, co.c, rcs.c, rcsdiff.c, rcsclean.c, rcsedit.c, rcsmerge.c,
	rcsrev.c, rlog.c: Add -z.

	* ci.c: Don't subtract from RCS file timestamp even if -T.
	Scan for and use Name keyword if -k.
	* ci.c, rcs.c, rcsbase.h, rcsgen.c, rcslex.c, rcssyn.c:
	Don't discard ignored phrases.
	* ci.c, co.c, rcs.c, rcsbase.h, rcsclean.c, rcsdiff.c, rcsfnms.c,
	rcsgen.c, rcskeep.c, rcslex.c, rcsrev.c, rcssyn.c:
	Improve quality of diagnostics.

	* co.c: Generate a value for the Name keyword.
	* co.c, rcsbase.h: Don't arbitrarily limit the number of joins.

	* ident.c: Test for char == EOF, not char < 0.

	* rcs.c: Don't lose track of -m or -t when there are no other changes.

	* rcsdiff.c: Put revision numbers in -c output.
	* rcsdiff.c, rcsbase.h, rcsedit.c, rcskeys.c: Add Name keyword.
	* rcsdiff.c, rcsmerge.c: Pass -Vn to `co'.
	* rcsdiff.c, rcsmerge.c, rlog.c: Ignore -T.

	* rcsmerge.c:
	Pass unexpanded revision name to `co', so that $Name works.
	* rcsmerge.c, rcsbase.h, merge.c, merger.c:
	Add -A, -E, -e.  Allow up to three labels.

	* rlog.c: Add -N.

	* rcsbase.h: Remove `nil'.  Improve quality of prototypes.

	* partime.c: Simplify time zone table.

	* rcsedit.c: If bad_unlink, ignore errno when unlink fails.
	Escape white space, $, and \ in keyword string file names.
	Don't output 2 spaces between date and time after Log.

	* rcskeep.c: Scan for Name keyword.

	* rcsfnms.c: Determine whether a file name is too long indirectly,
	by examining inode numbers, instead of trying to use operating system
	primitives like pathconf, which are not trustworthy in general.
	File names may now hold white space or $.
	Do not flatten ../X in pathnames; that may be wrong for symlinks.
	Add getabsname hook.

	* rcsfcmp.c:
	Fix yet another off-by-one error when comparing Log string expansions.

	* rcsrev.c: Add `namedrev' for Name support.
	Revision `.N' now stands for `D.N', where D is the default branch.

	* rcssyn.c: Parse MKS dates; ignore \r in diff control lines.

	* rcsutil.c: Use psiginfo and setreuid if available.
	Move date2str to maketime.c.

	* Makefile: Fix DIFF3_A default.

	* conf.sh: Update for RCS 5.6.5 (much better configuration messages).
	* conf.heg: Adjust to latest conf.sh.

	* rcstest: Compile our own program instead of using `tr'.
	Use rlog to get UTC instead of relying on `date -u'.
	Test `Name' keyword.

	* rcsfreeze.sh: Don't ignore RCS/.*,v files.

Tue Jun 29 17:03:43 1993  Paul Eggert  <eggert@twinsun.com>

	* maketime.c: Add -z support.  New function zone_set, date2str.
	str2time now has default_zone arg.  Parenthesize to keep GCC happy.

Tue Jul 28 16:12:44 1992  Paul Eggert  <eggert@twinsun.com>

	Version 5.6.4 (beta)

	* ci.c: Add -i, -j.  Check that working and RCS files are distinct.
	* ci.c, co.c, rcs.c, rcsclean.c, rcsdiff.c, rcsmerge.c, rcsutil.c,
	rlog.c: Add -V.

	* co.c, rcsclean.c: Check that working and RCS files are distinct.

	* rcs.c: rcs -l now asks whether you want to break the lock.
	Set RCS file's mode and time at right moment.

	* rcsclean.c: Fix -n bugs.

	* rcsdiff.c: Use co -M for better dates with traditional diff -c.

	* rlog.c: Don't miss B.0 when handling branch B.
	Diagnose missing `,' in -r.
	* rlog.c, rcsedit.c, rcslex.c, rcsrev.c, rcssyn.c:
	Avoid `unsigned'; this avoids the ULONG_MAX/10 configuration problem.
	* rlog.c, rcsbase.h, rcsedit.c, rcsgen.c rcsfcmp.c, rcskeep.c, rcslex.c,
	rcssyn.c: Statement macro names now end in _.

	* partime.c: Fix time zones again.

	* rcsedit.c: Some hosts have readlink but not ELOOP.
	Preserve dates more systematically.

	* rcsgen.c, rcsfnms.c: Be consistent about pathnames vs filenames.

	* rcsfnms.c: Add .sty.  .pl now implies Perl, not Prolog.
	Fix fdlock initialization bug.  Check that $PWD is really ".".

	* rcslex.c, rcsrev.c:  Identifiers may now start with a digit and
	(unless they are symbolic names) may contain `.'.

	* rcsutil.c: has_sigaction overrides sig_zaps_handler.  Fix -M bug.
	Add mmap_signal, which minimizes signal handling for non-mmap hosts.

	* Makefile: Add BINDIR.  Update for GCC 2.  Redo configuration scheme.
	Add rcsvers.c.

	* conf.sh: Output more chatter to keep builders happy.
	Fix several portability bugs: fileno, readlink, readlink errno,
	HP-UX brain damage, execv, mmap, waitpid, same_file.  Remove ULONG_MAX.
	* conf.heg: Adjust to latest conf.sh.

	* rcstest: Test rcsclean.  rm -f a.c more often.
	*'! 1.1.1.1') -> *!\ 1.1.1.1) to avoid some shell bugs.
	Set PWD unconditionally.  Don't assume RCS knows date's time zone.
	Avoid `tr' if possible; it's not standardized well.

Sun May 31 08:29:18 1992  Paul Eggert  <eggert@twinsun.com>

	* maketime.c:
	Complete rewrite from scratch, because we need to work even if
	the underlying implementation has leap seconds.

	* partime.c: The special time zone LOCAL_TIME+1 now tells maketime
	that no zone was given.

Mon Feb 17 23:02:28 1992  Paul Eggert  <eggert@twinsun.com>

	Version 5.6.3 (beta)

	* ci.c, co.c, rcs.c, rcsbase.h, rcsclean.c, rcsedit.c, rcsutil.c:
	Add -T.
	* ci.c: `-rREV' now just specifies a revision REV;
	only bare `-r' reverts to default.

	* rcsdiff.c: Output more readable context diff headers.
	Suppress needless checkout and comparison of identical revisions.

	* maketime.c:
	When setting a file's modification time, set its access time to now.

	* rcsbase.h, rcslex.c, rcsutil.c: Work around NFS mmap SIGBUS problem.

	* rcsfnms.c: `a/RCS/b/c' is now an RCS file with an empty extension,
	not just `a/b/RCS/c'.

	* conf.sh: Add has_utimbuf to avoid echo line length limit.
	Some sigactions don't allow 2nd arg of type struct sigaction const *.
	* conf.heg: Adjust to latest conf.sh.

	* rcsfreeze.sh: Use `rcs -nN:' to simplify the code.

Mon Jan 27 16:42:53 1992  Paul Eggert  <eggert@twinsun.com>

	Version 5.6.2 (beta)

	* ci.c: Always unlock branchpoint if caller has a lock.
	* ci.c, conf.sh, rcsedit.c: Support bad_chmod_close.
	* ci.c, co.c, conf.sh, rcs.c, rcsbase.h, rcsclean.c, rcsedit.c,
	rcsfnms.c, rcsgen.c: Support bad_creat0.
	* ci.c, co.c, ident.c, merge.c, rcs.c, rcsbase.h, rcsclean.c,
	rcsdiff.c, rcsmerge.c, rlog.c, rcsutil.c: lint -> RCS_lint

	* rcs.c: Add -M.
	Avoid invoking umask(); it's one less thing to configure.

	* rcsdiff.c: Add GNU diff 1.15.2's new options.

	* rlog.c: Don't duplicate unexpected_EOF's function.

	* maketime.c: Fix day of week bug with dates after February 28, 2100.

	* rcsfnms.c: Fix bug: Expand and Ignored weren't reinitialized.
	Avoid `char const c=ch;' compiler bug.

	* rcsgen.c: Move put routines here from rcssyn.c.
	* rcssyn.c: Move put routines to rcsgen.c.

	* rcsutil.c: Work around NFS mmap bug that leads to SIGBUS core dumps.

	* Makefile: Add DESTRCSDIR.  lint -> RCS_lint

	* conf.sh: Add workaround for `volatile sig_atomic_t' screwups,
	and for Ultrix 4.2 prototype brain damage.
	* conf.heg: Adjust to latest conf.sh.

Thu Jan  9 19:02:09 1992  Paul Eggert  <eggert@twinsun.com>

	* Makefile: $(LDLIBS) -o $@ -> -o $@ $(LDLIBS) to keep MS-DOS happy.

Mon Jan  6 03:04:24 1992  Paul Eggert  <eggert@twinsun.com>

	Version 5.6.1 (beta)

	* ci.c: Invoke utime() before chmod() to keep some buggy systems happy.

	* co.c, merge.c, rcsdiff.c, rcsmerge.c, rlog.c: Update usage string.

	* rcs.c:
	Avoid changing RCS file in common cases where no change can occur.

	* rcsbase.h, rcsedit.c, rcsfnms.c, rcsrev.c, rcssyn.c, rcsutil.c,
	rlog.c: while (E) ; -> while (E) continue;

	* rcsedit.c: Add setmode parameter to chnamemod.
	addsymbol now reports changes.

	* rcsfnms.c: Shorten long (>31 chars) name.

	* rcslex.c: Use OPEN_O_BINARY if mode contains 'b'.
	* rcsutil.c: O_BINARY -> OPEN_O_WORK

	* rcssyn.c: ULONG_MAX/10 -> ULONG_MAX_OVER_10

	* Makefile: Remove obsolete AIX comment.  sh -> $(SHELL).

	* conf.sh: Simplify MS-DOS port; work around several porting anomalies.
	* conf.heg: Adjust to latest conf.sh.

	* rcstest: mkdir RCS if it doesn't already exist.

Wed Nov 20 18:21:10 1991  Paul Eggert  <eggert@twinsun.com>

	Version 5.6 released.
	* ci.c, rcs.c: Don't read the delta tree from a nonexistent RCS file.
	* rcsmerge.c: Don't Iopen(f, "r+"); it's not portable.
	* conf.sh, conf.heg: Remove FOPEN_RPLUS.
	* rcstest: Test for rcs -i -A bug.

Sun Nov  3 03:30:44 1991  Paul Eggert  <eggert@twinsun.com>

	* rcsclean.c:
	Don't remove working files that look like they are checked out.

	* rcsedit.c: Move the warning about link breaking
	to where they're actually being broken.

	* rcslex.c: Fix porting bug to ancient hosts lacking vfprintf.

	* conf.sh: Detect yet another const compiler bug.
	Don't declare args to mmap, strchr, strrchr, in case they disagree.

Mon Oct  7 17:32:46 1991  Paul Eggert  <eggert@twinsun.com>

	* ci.c, rcs.c, rcsdiff.c: Remove lint.
	* ci.c, rcsgen.c: Fix log bugs, e.g. ci -t/dev/null when has_mmap.
	* co.c: -k affects just working file, not RCS file.
	* rcsfcmp.c: Count log lines correctly.
	* conf.sh: Add declare_signal, large_memory, O_EXCL.  Remove creat.
	* conf.heg: Adjust to latest conf.sh.
	* rcsbase.h, rcsedit.c, rcslex.c, rcsutil.c:
	Support piece tables even if !has_mmap.
	* rcsedit.c: Fix rare NFS bugs.
	* Makefile: Fix Minix description.

Thu Sep 26 23:10:30 1991  Paul Eggert  <eggert@twinsun.com>

	* ci.c: Plug file descriptor leak.

Tue Sep 24 00:49:12 1991  Paul Eggert  <eggert@twinsun.com>

	* rcsfnms.c: Don't export bindex().
	* rcslex.c: Don't export Ierror(), errsay().
	* rcsbase.h: Remove unexported functions.
	* Makefile: Put MS-DOS support into a separate distribution.

Wed Sep 18 07:29:10 1991  Paul Eggert  <eggert@twinsun.com>

	* ci.c: Work around a common ftruncate() bug.

Tue Sep 17 19:07:40 1991  Paul Eggert  <eggert@twinsun.com>

	* rlog.c: Getscript() didn't uncache partial lines.
	* rcsedit.c: SGI readlink() yields ENXIO, not EINVAL, for nonlinks.

Tue Sep 10 22:36:26 1991  Paul Eggert  <eggert@twinsun.com>

	* ci.c, rcsgen.c: Fix test for redirected stdin.

	* ident.c: Open files with FOPEN_R, not FOPEN_R_WORK,
	because they might be executables, not working files.

	* conf.heg: Adjust to latest conf.sh.

	* Makefile: Prepend $(DIFFPREFIX). to PATH.
	Adjust `make clean' for DOS.

Wed Aug 21 00:29:52 1991  Paul Eggert  <eggert@twinsun.com>

	* rcstest: Fix test for non-text diffs; it missed some botched diffs.

Tue Aug 20 23:05:00 1991  Paul Eggert  <eggert@twinsun.com>

	* merger.c: Fix !DIFF3_BIN porting bug.
	* conf.sh: Fix porting bugs for #include, SENDMAIL, pwd,
	cc with wrong exit status.

Mon Aug 19 23:17:54 1991  Paul Eggert  <eggert@twinsun.com>

	* ci.c: When there are no changes,
	revert to previous revision instead of aborting.
	* ci.c, co.c, rcs.c: Add -M.
	* ci.c, rcs.c, rcsbase.h, rcsedit.c, rcsgen.c: Add piece tables.
	* ci.c, rcs.c, rcsdiff.c, rcsmerge.c, rcsrev.c: Add -r$.
	* ci.c, co.c, merge.c, rcs.c, rcsbase.h, rcsdiff.c, rcsedit.c,
	rcsfcmp.c, rcsfnms.c, rcsgen.c, rcskeep.c, rcslex.c, rcsmerge.c,
	rcsrev.c, rcssyn.c, rcsutil.c, rlog.c: Tune.

	* co.c: Warn before removing somebody else's file.
	Fix co -j bugs.

	* ident.c: Report read errors immediately.

	* merge.c: Remove lint.

	* rcs.c, rlog.c: Revision separator is `:', not `-'.

	* rcsclean.c: Rewrite from scratch.

	* rcsdiff.c: Add RCSINIT.

	* rlog.c: Check for missing and duplicate logs.
	Permit log messages that do not end in newline (including empty logs).

	* rcskeys.c: Say `T const' instead of `const T';
	it's less confusing for pointer types.
	(This change was made in other source files too.)

	* rcslex.c: Add eoflex(), mmap support.

	* rcsrev.c: Add `-rB.'.  Remove botches like `<now>' from messages.

	* conf.sh: Add ALL_ABSOLUTE, FOPEN_RPLUS, ftell, getlogin_is_secure,
	RCS_SHELL, sigmask, strchr, TZ_must_be_set.
	Add checks for dirent, ftruncate, link, madvise, memcmp, memcpy,
	memmove, mmap, spawn, wait, utimbuf.
	Improve checks for const/volatile, va_start.
	Remove atoi, has_utime, strncmp, strncpy.
	Make NEW_LINK_BEHAVIOR the default.
	sgi has seteuid.
	Don't try to guess the bad line number by parsing the error message.
	* conf.heg: Adjust to latest conf.sh.

	* maketime.c: Add setfiledate, str2time, TZ_must_be_set.

	* merger.c: Plug memory leak.

	* partime.c: Update time zones.

	* rcsbase.h, rcsedit.c: Add NFS bug workarounds.
	* rcsedit.c: Catch odd filenames.

	* rcsfnms.c: Fix messages when rcswriteopen fails.
	Look in $TMP and $TEMP if $TMPDIR isn't set.

	* rcsmap.c: Don't assume EOF == -1.

	* rcsutil.c: Add spawn() support.
	Explicate assumptions about getting invoker's name.
	Standardize user-visible dates.

	* Makefile: Improve hooks to make DOS makefile from Unix makefile.
	Switch to GNU diff as the default.  ${} -> $().

	* rcstest: Add test for reverting checkin.  Ease DOS ports.
	Add PATH warning.

Sat Jun 22 22:43:23 1991  Paul Eggert  <eggert@twinsun.com>

	* rcsclean.sh: Unlock the correct version.

Sun Apr 21 11:59:14 1991  Paul Eggert  <eggert@twinsun.com>

	* ci.c, co.c, rcsbase.h, rcs.c, rcsdiff.c, rcsedit.c,
	rcsfnms.c, rcsmerge.c, rlog.c: Add -x, RCSINIT.
	* ci.c, co.c, conf.sh, Makefile, rcsbase.h, rcs.c, rcsdiff.c,
	rcsedit.c, rcsfcmp.c, rcsfnms.c, rcsgen.c, rcslex.c, rcsmerge.c,
	rcssyn.c, rlog.c: Add MS-DOS support.
	* ci.c, co.c: Ensure that working file is newer than RCS file
	after co -[lu].

	* merge.c, merger.c: Initial revision
	* partime.c: Don't put , just before } in initializer.
	* rcsedit.c, rcsfcmp.c, rcsfnms.c, rcssyn.c: Fix errno bugs.
	* rcskeep.c, rcssyn.c: Disambiguate names on shortname hosts.
	* rcskeys.c, rcsmap.c: Don't put , just before } in initializer.
	* rcsrev.c: Add tiprev().
	* rcsutil.c: Plug setuid security hole.
	* conf.sh, conf.heg: Fix several reported bugs.
	* rcstest: Fix porting bugs.
	* rcsfreeze.sh: Port to broken shells.

Sun Mar 17 05:42:57 1991  Paul Eggert  <eggert@twinsun.com>

	* rcsclean.sh: Support RCS file names.  Add -n.

Thu Feb 28 19:18:53 1991  Paul Eggert  <eggert@twinsun.com>

	* ci.c: Don't let a setuid ci create a new RCS file;
	rcs -i -a must be run first.
	Fix ci -ko -l mode bug.  Open work file at most once.

	* rcsbase.h, conf.sh, conf.heg: Try setuid() if seteuid() doesn't work.

	* rcsfcmp.c: Open work file at most once.

	* rcssyn.c: Fix null termination bug in reporting keyword expansion.

	* rcsutil.c: Try setuid() if seteuid() doesn't work.
	Check the results more carefully.

	* Makefile: Remove setuid installation -- it's now up to the users.

Tue Feb 26 17:48:39 1991  Paul Eggert  <eggert@twinsun.com>

	* ci.c: getdate -> getcurdate (SVR4 name clash)

	* ident.c: Don't report empty keywords.  Check for I/O errors.

	* rcs.c: 0444 -> S_IRUSR|S_IRGRP|S_IROTH for portability
	* rcs.c, rlog.c, rcslex.c, rcsutil.c:
	strsave -> str_save (DG/UX name clash)

	* rcsmerge.c: Merging a revision to itself is no longer an error.

	* rlog.c: Survive RCS files with missing logs.

	* rcsbase.h: Move ANSI C / Posix declarations into conf.sh.
	* rcsbase.h, rcsedit.c, rcsfnms.c: Support new link behavior.

	* rcsedit.c: Work around broken "w+" fopen.
	* rcsedit.c, rcsfnms.c, rcsutil.c: Fix setuid bug.

	* rcsfnms.c: Support tempnam.  Define more portable getcwd().

	* rcslex.c: Work around fputs bug.

	* rcsrev.c: Avoid overflow when comparing revision numbers.

	* rcssyn.c: Check diff output more carefully; avoid overflow.

	* rcsutil.c: Use fread, fwrite more portably.
	Support waitpid.  Don't assume -1 is acceptable to W* macros.

	* Makefile: Remove setgid support.  Add NEW_LINK_BEHAVIOR.

	* conf.sh: Revamp extensively for portability.
	* conf.heg: Adjust to latest conf.sh.

	* rcstest: Work even if diff -c and diff3 -E don't.
	Improve handling of binary files and bad locks.

Mon Dec 31 01:00:12 1990  Paul Eggert  <eggert@twinsun.com>

	Version 5.5 released.
	* ci.c: Don't use uninitialized storage when handling -{N,n}.

Sun Dec 30 05:07:35 1990  Paul Eggert  <eggert@twinsun.com>

	* rcsedit.c:
	Fix report of busy RCS files when !defined(O_CREAT) | !defined(O_EXCL).

Thu Dec 27 19:54:26 1990  Paul Eggert  <eggert@twinsun.com>

	* rcsgen.c: Fix bug: rcs -t inserted \n, making RCS file grow.

Tue Dec 18 17:19:21 1990  Paul Eggert  <eggert@twinsun.com>

	* rcs.c: Fix bug with multiple -n and -N options.

Thu Dec 13 06:54:07 1990  Paul Eggert  <eggert@twinsun.com>

	* rcsdiff.c, Makefile: GNU diff 1.15 has -u.

Tue Dec  4 05:18:49 1990  Paul Eggert  <eggert@twinsun.com>

	* ci.c, co.c, rcs.c, rcsbase.h, rcsgen.c, rcslex.c, rcsutil.c:
	Use -I for prompts and -q for diagnostics.

	* co.c: Don't checkaccesslist() unless necessary.

	* rcsutil.c: Don't output a blank line after a signal diagnostic.

Tue Nov 27 09:26:05 1990  Paul Eggert  <eggert@twinsun.com>

	* rcsfcmp.c: Fix comment leader bug.

Sun Nov 11 00:06:35 1990  Paul Eggert  <eggert@twinsun.com>

	* rcs.c: Fix `rcs -e' core dump.

Mon Nov  5 20:30:10 1990  Paul Eggert  <eggert@twinsun.com>

	* ci.c: Don't remove working file when aborting due to no changes.

Thu Nov  1 05:28:48 1990  Paul Eggert  <eggert@twinsun.com>

	* ci.c, rcs.c: Add -I and new -t behavior.
	* ci.c, rcs.c, rcsbase.h, rcsedit.c, rcsgen.c, rcsfcmp.c, rcsfnms.c,
	rcssyn.c, rlog.c: Permit arbitrary data in logs and comment leaders.

	* co.c: Fix -j.  Add -I.

	* merge.sh: Yield exit status 2 on error like the man page says.

	* rcsdiff.c, rcsmerge.c, rcsutil.c: Remove unneeded setid check.

	* maketime.c: Remove lint.

	* rcsbase.h: Don't assume that builtins are functions;
	they may be macros.

	* rcsgen.c: Add -I and new -t behavior.

	* rcslex.c, rcssyn.c:
	When ignoring unknown phrases, copy them to the output RCS file.

	* rcssyn.c: Don't check for nontext on initial checkin.

	* rcsutil.c: Add awrite(), fremember().

	* Makefile: Add test and debug instructions.
	Remove unwieldy "make depend" stuff.

	* conf.sh: Use better guess for Posix 1003.1-1990 seteuid() behavior.
	(A real test would requiring running conf.sh setid.  Ugh!)
	Use test for vfork() that detects GCC 1.37.1+sparc and IRIX bugs.
	Use better test for const and volatile.
	User better test for include files; just running cpp isn't enough,
	because the include files may be buggy.
	Don't assume that builtins are functions; they may be macros.
	Remove DIFF_ARBITRARY.
	* conf.heg: Initial revision

	* rcsclean.sh: Basically a complete rewrite.  Add rcsdiff options.
	Clean working directory if no arguments are given.

	* rcsfreeze.sh: Check for errors better.
	Remove the need for one of the temporary files.

Sat Oct  6 00:16:45 1990  Paul Eggert  <eggert@twinsun.com>

	* rcsutil.c: Don't fread F if feof(F).

Thu Oct  4 06:30:22 1990  Paul Eggert  <eggert@twinsun.com>

	* ci.c, co.c, rcs.c, rcsdiff.c, rlog.c:
	Accumulate exit status across files.

	* maketime.c: Don't assume time_t is 32 bits.
	Calculate the GMT offset of 'xxx LT' as of xxx, not as of now.
	Fix bugs near epoch and near end of time.

	* partime.c: Check for overflow when lexing an integer.
	Remove date vs time heuristics that fail between 2000 and 2400.
	Parse 'Jan 10 LT' as 'Jan 10, LT', not 'Jan, 10 LT'.

	* rcskeep.c: Parse time zone offsets;
	future RCS versions may output them.

Thu Sep 27 01:31:43 1990  Paul Eggert  <eggert@twinsun.com>

	* rcsdiff.c: Yield 1, not EXIT_FAILURE, when diffs are found.
	* rcsbase.h, conf.sh: Port wait() to non-Posix ANSI C hosts.
	* conf.sh: Test for vfork() file descriptor screwup.

Tue Sep 25 20:11:46 1990  Adam Hammer  <hammer@cs.purdue.edu>

	* ci.c: fixed another small typo

Mon Sep 24 18:56:31 1990  Paul Eggert  <eggert@twinsun.com>

	* partime.c: Update time zones.

Fri Sep 21 06:16:38 1990  Adam Hammer  <hammer@cs.purdue.edu>

	* ci.c: made it handle multiple -{N,n}'s.
	Also, made it treat re-directed stdin the same as the terminal

Thu Sep 20 07:58:32 1990  Paul Eggert  <eggert@twinsun.com>

	* ci.c: ci -k now checks dates more thoroughly.

	* merge.sh: Fix bug in passing arguments to old diff3 programs.
	Fix calculation of #!/bin/sh header.

	* rcskeep.c: ci -k now checks dates more thoroughly.

	* rcssyn.c:
	Remove the test for non-text bytes; it caused more pain than it cured.

	* conf.sh: Calculate signal_type more reliably on older systems.

	* rcstest: Adjust to old and brain damaged diffs.

Sat Sep 15 01:29:51 1990  Paul Eggert  <eggert@twinsun.com>

	* conf.sh: Output header warning that it's generated automatically.

Tue Sep 11 02:41:16 1990  Paul Eggert  <eggert@twinsun.com>

	* ci.c: Fix revision bug with `ci -k file1 file2'.
	* co.c: co -kv yields a readonly working file.
	* rcsdiff.c: Simplify -kkvl test.
	* rlog.c: Plug memory leak.
	* rcsedit.c: Tune expandline().
	* rcsfcmp.c: Don't ignore differences in keyword strings if -ko is set.
	* Makefile: Don't make -R the default.

Tue Sep  4 17:07:19 1990  Paul Eggert  <eggert@twinsun.com>

	* ci.c: Permit adjacent revisions with identical time stamps
	(possible on fast hosts).
	* ci.c, rcsbase.h, rcsedit.c: Improve incomplete line handling.
	* ci.c, co.c, rcs.c, rcsbase.h, rcsgen.c:
	Standardize yes-or-no procedure.

	* rcsdiff.c: Diff's argv was too small by 1.

	* rlog.c, rcsedit.c, rcslex.c, rcssyn.c: Count RCS lines better.

	* rcsmerge.c: Check for I/O error when reading working file.

	* partime.c: Don't permit 'Aug Aug'.
	Don't parse two-digit years, because it won't work after 1999/12/31.

	* rcsbase.h: Don't redefine NAME_MAX, PATH_MAX.

	* rcsfnms.c: Fix typo when !RCSSEP.

	* rcsgen.c: Fix `co -p1.1 -ko' bug.

	* rcssyn.c: Parse RCS files with no revisions.
	Don't strip leading white space from diff commands.

	* rcsutil.c: Store fread()'s result in an fread_type object.

	* conf.sh: Don't include <stdarg.h> unless has_prototypes is set.

	* rcstest: Test -kkv, etc.
	Work even when today's day of the month is less than 10.

Wed Aug 29 07:14:52 1990  Paul Eggert  <eggert@twinsun.com>

	* ci.c: Expand locker value like co.
	* ci.c, rcs.c, rcsbase.h, rcsfcmp.c, rcsgen.c, rcssyn.c:
	Clean old log messages too.

	* merge.sh: Add -q.

	* rcs.c: Remove unused setuid support.

	* rcsdiff.c, rcsbase.h rcsedit.c, rcssyn.c: Add -kkvl.

	* rcsmerge.c: Add -q.  Pass -L options to merge.

	* partime.c: Be able to parse our own date format.
	Don't assume year<10000.

	* rcsbase.h: Fix type typos exposed by porting.

	* rcsedit.c:
	Fix bug when getting revisions to files ending in incomplete lines.
	Fix bug in comment leader expansion.

	* rcsfnms.c, rcslex.c:
	Work around buggy compilers with defective argument promotion.

	* rcsutil.c: Declare getpwuid() more carefully.

	* Makefile: Remove -g from default CFLAGS.

	* conf.sh: Fix porting bugs.  Add sanity checks and better doc strings.

	* rcstest: Initial revision

Wed Aug 22 08:49:14 1990  Paul Eggert  <eggert@twinsun.com>

	* ci.c: Don't pass +args to diff.
	* ci.c, co.c, rcsbase.h, rcsdiff.c, rcsedit.c, rcskeys.c, rcssyn.c:
	Add -k.
	* ci.c, co.c, rcs.c, rcsbase.h, rcsdiff.c, rcsedit.c, rcsmerge.c,
	rcsutil.c, rlog.c: Add -V.
	* ci.c, co.c, ident.c, rcs.c, rcsbase.h, rcsdiff.c, rcsedit.c,
	rcsfnms.c, rcsgen.c, rcskeep.c, rcslex.c, rcsmerge.c, rcsrev.c,
	rcssyn.c, rcsutil.c, rlog.c:
	Remove compile-time limits; use malloc instead.
	* ci.c, co.c, rcs.c, rcsbase.h, rcsdiff.c, rcsutil.c, rlog.c:
	Add setuid support.
	* ci.c, rcsedit.c, rcskeep.c, rcssyn.c: Don't require a final newline.
	* ci.c, co.c, rcs.c, rcsdiff.c, rcsedit.c, rcsfnms.c, rcsmerge.c:
	Make lock and temp files faster and safer.
	* ci.c, co.c, maketime.c, rcs.c, rcsedit.c, rcsfnms.c, rcskeep.c,
	rcsutil.c: Permit dates past 1999/12/31.
	* ci.c, co.c, rlog.c, maketime.c, partime.c, rcsutil.c, Makefile:
	Switch to GMT and fixed the bugs exposed thereby.
	* ci.c, rcs.c, rcsedit.c, rcssyn.c: Check diff's output.
	* ci.c, co.c, rcsbase.h, rcsutil.c: Remove snooping.
	* ci.c, co.c, rcs.c, rcsfnms.c, rcskeep.c, rcsmerge.c, rcsrev.c,
	rcssyn.c, rcsutil.c: Tune.
	* ci.c, co.c, ident.c, maketime.c, partime.c, rcs.c, rcsbase.h,
	rcsdiff.c, rcsedit.c, rcsfcmp.c, rcsfnms.c, rcsgen.c, rcskeep.c,
	rcskeys.c, rcslex.c, rcsmerge.c, rcsrev.c, rcssyn.c, rcsutil.c, rlog.c:
	Ansify and Posixate.

	* co.c, rcsutil.c: Permit multiple locks by same user.

	* ident.c: Don't limit output to known keywords.
	* ident.c, rcs.c, rcsfcmp.c, rcsrev.c, rcssyn.c: Remove lint.

	* merge.sh: Become a shell file that outputs the needed shell file.
	Support GNU diff3.  Add -L.

	* rcs.c: Don't lose names when applying -a option to multiple files.
	Fix umask bug.  Yield proper exit status.

	* rcsdiff.c: Don't pass arguments with leading '+' to diff;
	GNU DIFF treats them as options.  Add GNU diff's flags.
	* rcsdiff.c, rcsbase.h, rcsmerge.c, rcsfnms.c: Don't use access().

	* rcsmerge.c: Propagate merge's exit status.

	* rlog.c:
	Report dates in long form, to warn about dates past 1999/12/31.
	Change "added/del" message to make room for the longer dates.
	* rlog.c, rcsedit.c: Don't generate trailing white space.

	* partime.c: Update time zones.  Fix peekahead and int-size bugs.

	* rcsbase.h: Adjust ANSI C / Posix support.  Remove v2 support.
	* rcsbase.h, rcslex.c, rcssyn.c: Add support for ISO 8859.

	* rcsedit.c, rcsfcmp.c: Don't append "checked in with -k by " log to
	logs, so that checking in a program with -k doesn't change it.

	* rcsfnms.c: Ignore signals when manipulating the semaphore file.
	Modernize list of file name extensions.
	Beware file names beginning with "-".
	Fix test for non-regular files.

	* rcskeep.c: Retrieve old log message if there is one.

	* rcslex.c: Report errno-related errors with perror().
	Use better hash function.

	* rcsrev.c: Remove possibility of an internal error.

	* rcssyn.c: Try to parse future RCS formats without barfing.
	Don't output branch keyword if there's no default branch,
	because RCS version 3 doesn't understand it.
	Check that a newly checked-in file is acceptable as input to 'diff'.

	* rcsutil.c: Some USG hosts define NSIG but not sys_siglist.
	Don't run /bin/sh if it's hopeless.
	Don't leave garbage behind if the output is an empty pipe.
	Clean up after SIGXCPU or SIGXFSZ.
	Print name of signal that caused cleanup.

	* Makefile: Configure more automatically.  Upgrade for RCS 5.0.

	* conf.sh, rcsmap.c: Initial revision

Wed May 23 06:54:32 1990  Paul Eggert  <eggert@twinsun.com>

	* Makefile: Make Posix the default; it's the wave of the future.
	Add advice for SunOS.  Remove references to rcsclean, rcsfreeze.

Thu Mar 22 07:06:14 1990  Paul Eggert  <eggert@twinsun.com>

	* merge.sh: Add support for GNU DIFF 1.15.

	* Makefile: Permit dates past 1999/12/31.  Ansify and Posixate.
	Remove snoop and v2 support.  Add <vfork.h> flag.

Sat Nov 18 13:34:16 1989  Adam Hammer  <hammer@cs.purdue.edu>

	Version 4.3 released.

Mon Oct 30 12:29:00 1989  Daniel Trinkle  <trinkle@cs.purdue.edu>

	* rcsclean.c:
	Added -q option to agree with man page, added code to actually unlock
	the RCS file if there were no differences, picked a bit of lint.

Wed Jun 28 12:56:23 1989  Paul Eggert  <eggert@twinsun.com>

	* rcsfnms.c:
	Prevent checkin of all non-regular files, not just directories.

Wed Jun 28 09:02:14 1989  Thomas Narten  <narten@cs.purdue.edu>

	Version 4.2 released.

Mon May  1 15:17:14 1989  Thomas Narten  <narten@cs.purdue.edu>

	changed copyright header to reflect current distribution rules

	* rcsbase.h: changed #include <strings.h> -> string.h for USG systems.
	* partime.c: fixed #ifdef DEBUG construct
	* rcsfnms.c: changed getwd to not stat empty directories.

Thu Dec  8 14:02:20 1988  Paul Eggert  <eggert@sm.unisys.com>

	* rcsfnms.c:
	Fix bug: "co -p .../RCS/dir,v" failed if ./dir is a directory.

Tue Nov  8 16:01:02 1988  Thomas Narten  <narten@cs.purdue.edu>

	* ci.c: changes from root@seismo.CSS.GOV (Super User)
	-d with no arguments uses the mod time of the file it is checking in

	* rcs.c: removed include <sysexits.h> (not needed)
	minor fix for -A option

	* rcsbase.h: removed defs for functions loaded from libraries
	* maketime.c: allow negative time zones (-24h <= x <= 24h)
	* rcsedit.c: misplaced semicolon caused infinite loop
	* rcsutil.c: corrected use of varargs routines

Sun Aug 28 15:09:38 1988  Paul Eggert  <eggert@sm.unisys.com>

	* Makefile: 'make depend' now discards /usr/include/*
	(#ifdefs may comment around them).
	Use sed rather than ex for portability.  Remove obsolete comments.
	Separate LINTFLAGS.  Use LDFLAGS consistently.
	Edit DIFF in merge.sh.  Use execv(), not system(); allow cc -R.
	Permit signal handlers to yield either 'void' or 'int'.

	* rcslex.c:
	Don't loop when writing error messages to a full filesystem.
	Flush stderr/stdout when mixing output.
	Yield exit status compatible with diff(1).
	Shrink stdio code size; allow cc -R; remove lint.

	* rcsgen.c: Shrink stdio code size; allow cc -R; remove lint;
	isatty() -> ttystdin()

	* partime.c: Remove unportable "#endif XXX"s.

	* maketime.c: Allow cc -R.  Remove unportable "#endif XXX"s.

Tue Aug  9 19:13:28 1988  Paul Eggert  <eggert@sm.unisys.com>

	* ci.c: Remove lint.
	isatty(fileno(stdin)) -> ttystdin()
	Make sure workfile is a regular file;
	use its mode if RCSfile doesn't have one.
	* ci.c, rcsdiff.c, rcsedit.c: Allow cc -R.

	* co.c: Fix "co -d" core dump; rawdate wasn't always initialized.
	fix putchar('\0') and diagnose() botches.
	* co.c, rcs.c, rcsbase.h, rcskeep.c, rcssyn.c, rlog.c: Remove lint.

	* merge.sh:
	Check and yield proper exit status; keep temporary files private;
	economize to avoid a temporary file; fix "1 overlaps";
	keep '.' out of PATH.

	* rcsdiff.c, rcsmerge.c: Yield exit status like diff(1)'s.

	* rcsmerge.c: Beware merging into a readonly file.
	Beware merging a revision to itself (no change).

	* rcs.c: Don't access freed storage.
	Yield proper exit status.

	* rlog.c: Check for memory exhaustion; don't access freed storage.
	Shrink stdio code size.
	* rlog.c, rcsutil.c: Check for memory exhaustion.

	* rcsbase.h: Permit -Dhshsize=nn.
	* rcsbase.h, rcsedit.c, rcsfcmp.c: Shrink stdio code size.

	* rcskeep.c: Speed up by making FILE *fp local, not global.

	* rcsutil.c:  Permit signal handlers to yield either 'void' or
	'int'; fix oldSIGINT botch.  Yield exit status like diff(1)'s.

Wed Jul 27 00:31:11 1988  Paul Eggert  <eggert@sm.unisys.com>

	* merge.sh: RCS version 4

Thu Jun 23 16:06:55 1988  Paul Eggert  <eggert@sm.unisys.com>

	* sig_t.sh: Initial revision

Fri Dec 18 17:06:41 1987  Thomas Narten  <narten@cs.purdue.edu>

	* ci.c, co.c, rcs.c, rcsfcmp.c, rcskeep.c, rcssyn.c, rlog.c:
	lint cleanups (from Guy Harris)

	* rcsdiff.c:  changes Jay Lepreau made in the 4.3 BSD version,
	to add support for "-i", "-w", and "-t" flags and to permit
	flags to be bundled together, merged in.

	* maketime.c: include rcsparam.h

	* rcsbase.h: made removed BSD ifdef, now uses V4_2BSD

	* rcsedit.c:
	Changes from the 43. version. Don't know the significance of the
	first change involving "rewind". Also, additional "lint" cleanup.
	(Guy Harris)

	* rcsfnms.c:
	additional file types added from 4.3 BSD version, and SPARC assembler
	comment character added. Also, more lint cleanups. (Guy Harris)

	* rcsgen.c:
	additional lint cleanups, and a bug fix from the 4.3BSD version that
	keeps "ci" from sticking a '\377' into the description if you run it
	with a zero-length file as the description. (Guy Harris)

	* rcslex.c: fixed to use "varargs" in "fprintf";
	this is required if it is to work on a SPARC machine such as a Sun-4

	* rcsrev.c: more lint cleanups.
	Also, the NOTREACHED comment is no longer necessary,
	since there's now a return value there with a value. (Guy Harris)

	* Makefile: RCS version 4.0's Makefile

	* rcsfreeze.sh: Initial revision

Mon Nov 23 16:06:50 1987  Paul Eggert  <eggert@sm.unisys.com>

	* Makefile: Permit signal handlers to yield either 'void' or 'int'.

Fri Oct 23 17:09:57 1987  Thomas Narten  <narten@cs.purdue.edu>

	* ident.c: added exit(0) so exit return code would be non random

Tue Sep 15 16:39:39 1987  Roy Morris  <...!felix!roy>

	* rcsedit.c: added an initialization of the variables editline and
	linecorr; this will be done each time a file is processed.
	(there was an obscure bug where if co was used to retrieve multiple
	files it would dump)

Sun Oct 18 10:40:22 1987  Thomas Narten  <narten@cs.purdue.edu>

	Updating version numbers.
	Changes relative to revision 1.1 are actually relative to 4.x.

Mon Aug 24 13:57:19 1987  Thomas Narten  <narten@cs.purdue.edu>

	Sources now pass through lint
	(if you ignore printf/sprintf/fprintf warnings).

Mon Aug 10 11:52:53 1987  Paul Eggert  <eggert@sm.unisys.com>

	* co.c: 'co -d' dumped core; this fixes it.

Thu Jul  9 09:20:52 1987  Daniel Trinkle  <trinkle@cs.purdue.edu>

	* ident.c: Added check to make sure there is at least one arg
	before comparing argv[1] with "-q".  This necessary on machines
	that don't allow dereferencing null pointers (i.e. Suns).

Mon Jun 22 13:52:35 1987  Paul Eggert  <eggert@sm.unisys.com>

	* Makefile:
	Allow cc -R; add rclm; add $(LDFLAGS) when linking anything

	* rcs.c, rlog.c: Don't access freed storage.

	* rcs.c: If you lack locks, "rcs -u" now breaks the newest lock
	regardless of owner.

Fri Mar 27 14:21:53 1987  jenkins  <jenkins@cs.purdue.edu>

	Port to suns

Mon Mar 23 12:01:04 1987  Paul Eggert  <eggert@sm.unisys.com>

	* ci.c, co.c, rcs.c, rcsdiff.c, rcsmerge.c, rcsutil.c:
	Use execv(), not system(); yield proper exit status.
	* co.c: fix putchar('\0') and diagnose() botches.
	* rcsutil.c: Fix bug: catchints() didn't work if ignoreints()
	had already been called.
	* rcsmerge.c: Beware merging into a readonly file.
	Beware merging a revision to itself (no change).
	* rcsbase.h: Shrink stdio code size; remove lint; vfork=fork on USG
	* merge.sh:
	Check and yield proper exit status; clean up if interrupted;
	keep temporary files private; fix "1 overlaps" message.
	* ci.c, rcsdiff.c: Allow cc -R.
	* co.c, rcs.c: Remove lint.

Tue Mar 17 17:27:32 1987  loverso  <loverso@cs.purdue.edu>

	* ci.c: Don't allow non-regular files (directories, etc)
	to be checked in.

Mon Mar  9 17:11:52 1987  Paul Eggert  <eggert@sm.unisys.com>

	* rcsedit.c: Shrink stdio code size; allow cc -R.
	Fix linecorr botch: dumped core on Suns sometimes on 'co -rold f1 f2'.

Fri Feb 13 11:28:51 1987  Paul Eggert  <eggert@sm.unisys.com>

	* rlog.c: Add -W flag.
	* rcslex.c: Don't loop when writing error messages to a full filesystem
	Flush stderr/stdout when mixing output.
	Yield exit status compatible with diff(1).
	* rcsgen.c, rcslex.c, rlog.c: Allow cc -R; remove lint.
	* rcsfcmp.c, rcsgen.c, rcslex.c, rlog.c: Shrink stdio code size.

Thu Feb 12 18:24:19 1987  Paul Eggert  <eggert@sm.unisys.com>

	* ident.c: Add -efghi flags.
	* maketime.c, rcsfnms.c, rcssyn.c, sccstorcs.c: Allow cc -R.
	* rcsfnms.c: Fix troff macro comment leader bug; add Prolog.
	* rcskeep.c: Speed up by making FILE *fp local, not global.
	* rcsrev.c, All files above: Remove lint.

Tue Jul 29 12:17:25 1986  Guy Harris  <guy@sun.com>

	* maketime.c: More "lint" cleanups.

Mon Jul 28 23:34:14 1986  Guy Harris  <guy@sun.com>

	* Makefile: Netnews fixes from guy@sun
	* sccstorcs.c, rlog.c, rcsutil.c, rcssyn.c, rcsrev.c, rcsmerge.c,
	rcslex.c, rcskeep.c, rcsgen.c, rcsfnms.c, rcsfcmp.c, rcsedit.c,
	rcsdiff.c, rcsbase.h, rcs.c, ident.c, co.c, ci.c: More "lint" cleanups.

Thu Jul  3 13:09:55 1986  jdl  <jdl@cs.purdue.edu>

	* rcsclean.sh: New file.

Wed Jun 18 15:02:32 1986  Jay Lepreau  <lepreau@cs.purdue.edu>

	* rcsdiff.c: I broke -c<number> in last rev.
	Also, mixing a bopt with an otheropt was broken.

Mon May 19 02:36:16 1986  Jay Lepreau  <lepreau@cs.purdue.edu>

	* rcsdiff.c: Pass on new diff options, and allow them to be clustered.

Thu May 15 02:25:37 1986  Jay Lepreau  <lepreau@cs.purdue.edu>

	* Makefile: 4.3BSD revision
	* rcsedit.c: Use "Locked" instead of state in $Head expansion if locked.
	* rcsfnms.c: add suffix .el for gnulisp
	* rcsgen.c: Fix immediate EOF from non-tty files:
	avoid 0377's in description.

Tue Dec 17 13:59:09 1985  albitz  <albitz@cs.purdue.edu>

	* rcs.c: Changed setstate to rcs_setstate
	because of conflict with random.o.

Wed Jun 26 07:34:28 1985  svb  <svb@cs.purdue.edu>

	* rcsfnms.c: Comment leader '% ' for '*.tex' files added.

Wed Oct 17 21:12:11 1984  Admin  <root@cs.purdue.edu>

	* sccstorcs.c:  Added check for having multiple deltas in a row
	for the same revision.  --ks

Tue Dec 20 16:04:20 1983  Walter F. Tichy  <wft@purdue>

	* rcsbase.h: Increased logsize, added macro SMALLOG.
	moved setting of STRICT_LOCKING to Makefile.
	changed DOLLAR to UNKN (conflict with KDELIM).

Thu Dec 15 12:28:54 1983  Walter F. Tichy  <wft@purdue>

	* ci.c, co.c: ci -u and ci -l now set mode of working file properly.
	* rcs.c: rcs -u now breaks most recent lock
	if it can't find a lock by the caller.

	* rcsfnms.c: Added check for KDELIM in filenames to pairfilenames().

Mon Dec  5 13:40:54 1983  Walter F. Tichy  <wft@purdue>

	* ci.c: Merged with 3.9.1.1: added calls to clearerr(stdin).
	* ci.c, co.c, rlog.c: made rewriteflag external.

	* rcs.c: Added conditional compilation for sending mail.
	Alternatives: V4_2BSD, V6, USG, and other.

Fri Dec  2 22:47:45 1983  Walter F. Tichy  <wft@purdue>

	* rcsfnms.c: Added csh, red, and sl filename suffixes.

Wed Oct 19 04:22:11 1983  Jay Lepreau  <lepreau@purdue>

	* rcsbase.h: Make teeny logsize big
	* rcsgen.c: Added clearerr(stdin) for re-reading description from stdin.

Thu May 12 13:10:30 1983  Walter F. Tichy  <wft@purdue>

	* rcsedit.c:
	Added new markers Id and RCSfile; added locker to Header and Id.
	Overhauled expandline completely()
	(problem with $01234567890123456789@).
	Moved trymatch() and marker table to rcskeys.c.
	Log no longer expands full path of RCS file.

Wed May 11 14:24:13 1983  Walter F. Tichy  <wft@purdue>

	* rlog.c: Added -b, updated getnumericrev() accordingly.
	Replaced getpwuid() with getcaller().
	Added options -L and -R; Fixed selection bug with -l on multiple files.
	Fixed error on dates of the form -d'>date' (rewrote getdatepair()).

	* rcsedit.c: Fixed truncation problem for $19chars followed by@@.
	Added retry to expandline to resume after failed match which ended in $.

	* rcsfnms.c: Added initialization of Dbranch to InitAdmin().
	Changed pairfilenames():
	1. added copying of path from workfile to RCS file, if RCS file omitted;
	2. added getting the file status of RCS and working files;
	3. added ignoring of directories.
	Added comtable[] which pairs filename suffixes with comment leaders;
	updated InitAdmin() accordingly.

Tue May 10 17:03:06 1983  Walter F. Tichy  <wft@purdue>

	* ci.c: Added option -d and -w, and updated assignment of date, etc.
	to new delta.
	Option -k generates std. log message;
	fixed undef. pointer in reading of log.
	Replaced getlock() with findlock(),
	getpwuid() with getcaller().
	Moved all revision number generation to new routine addelta().
	Removed calls to stat(); now done by pairfilenames().
	Directed all interactive messages to stderr.
	* ci.c, co.c: Added handling of default branches.
	Replaced getpwuid() with getcaller().
	Replaced unlink()--link() with rename()
	* ci.c, co.c, rcs.c:
	Removed calls to stat(); now done by pairfilenames().
	Changed most calls to catchints() with restoreints().

	* co.c: Added option -u and -f.
	Changed and renamed rmoldfile() to rmworkfile().

	* rcs.c:
	Simplified breaklock(); added calls to findlock() and getcaller().
	Added option -b (default branch). Updated -s and -w for -b.
	Removed check for exit status of delivermail().
	Directed all interactive output to stderr.

	* ident.c: Added option -q and input from reading stdin.
	Marker matching is now done with trymatch() (independent of keywords).

	* rcsfcmp.c: Marker matching now uses trymatch().
	Marker pattern is now checked precisely.

	* rcsgen.c: Changed putamin() to abort if trying to reread redirected
	stdin.  Fixed getdesc() to output a prompt on initial newline.

	* rcskeep.c: Added new markers Id and RCSfile; extraction added.
	Marker matching with trymatch().

	* rcsutil.c: Added getcaller() and findlock().
	Changed catchints() to check SIGINT for SIG_IGN before setting up
	the signal (needed for background jobs in older shells).
	Added restoreints().
	Removed printing of full RCS path from logcommand().

Wed May  4 09:12:41 1983  Walter F. Tichy  <wft@purdue>

	* rcsbase.h: Added markers Id and RCSfile.
	Added Dbranch for default branches.

	* rcskeys.c: Initial revision

Tue May  3 22:13:19 1983  Walter F. Tichy  <wft@purdue>

	* rcsdiff.c: Added default branch, option -q, exit status like diff.
	Added fterror() to replace faterror().

Tue Apr  5 14:47:36 1983  Walter F. Tichy  <wft@purdue>

	* rcsfnms.c: fixed Suffix in InitAdmin().

Mon Mar 28 11:14:57 1983  Walter F. Tichy  <wft@purdue>

	* rcsmerge.c, rcssyn.c: Added handling of default branch.

Fri Mar 25 18:12:51 1983  Walter F. Tichy  <wft@purdue>

	* rcslex.c, rcsrev.c: Only changed $Header to $Id.

Fri Feb 18 17:37:49 1983  Walter F. Tichy  <wft@purdue>

	* ident.c: removed printing of new line after last file.

Tue Feb 15 15:41:49 1983  Walter F. Tichy  <wft@purdue>

	* ci.c, co.c, rcs.c, rcsutil.c: Added call to fastcopy()
	to copy remainder of RCS file in blocks.

Tue Jan 18 18:04:25 1983  Walter F. Tichy  <wft@purdue>

	* rcs.c: Changed sendmail(): now uses delivermail,
	and asks whether to break the lock.

Mon Jan 17 18:01:04 1983  Walter F. Tichy  <wft@purdue>

	* rcsfnms.c: Added getwd() and rename(); these can be removed by
	defining V4_2BSD, since they are not needed in 4.2 bsd.
	Changed sys/param.h to sys/types.h.

Sat Jan 15 17:46:50 1983  Walter F. Tichy  <wft@purdue>

	* rcs.c: Removed putree(); replaced with puttree() in rcssyn.c.
	Combined putdellog() and scanlogtext(); deleted putdellog().
	Cleaned up diagnostics and error messages.  Fixed problem with
	mutilated files in case of deletions in 2 files in a single command.
	Changed marking of selector from 'D' to DELETE.

	* rcsdiff.c: Expanded mainprogram to handle multiple RCS files.

	* rcsbase.h: Replaced dbm.h with BYTESIZ, fixed definition of rindex().
	Added variants of NCPFN and NCPPN for bsd 4.2,
	selected by defining V4_2BSD.  Added macro DELNUMFORM
	to have uniform format for printing delta text nodes.
	Added macro DELETE to mark deleted deltas.

	* rcssyn.c: Changed readdelta() to initialize selector and log-pointer.
	Changed puttree to check for selector==DELETE;
	putdtext() uses DELNUMFORM.

Fri Jan 14 15:37:31 1983  Walter F. Tichy  <wft@purdue>

	* ci.c, co.c, rcs.c:
	Added ignoring of interrupts while new RCS file is renamed;
	Avoids deletion of RCS files by interrupts.

Thu Jan  6 09:33:45 1983  Walter F. Tichy  <wft@purdue>

	* rcsdiff.c: Fixed passing of -c (context) option to diff.

Fri Dec 24 15:29:00 1982  Walter F. Tichy  <wft@purdue>

	* rcsdiff.c, rcsmerge.c: Added call to catchsig().
	* rlog.c: shortened output format.
	* rcskeep.c: added missing #endif.
	* rcsutil.c: added catchints(), ignoreints() for catching and ignoring
	interrupts; fixed catchsig().

Fri Dec 10 16:22:37 1982  Walter F. Tichy  <wft@purdue>

	* ci.c, rcs.c, rcsdiff.c: Corrected checking of return code from diff.
	* rcs.c: Removed unused variables,
	introduced variant COMPAT2 for skipping Suffix on -A files.
	* rcsdiff.c, rcslex.c: Improved error messages.
	* rcsmerge.c: Replaced getdelta() with gettree().
	* rcsbase.h: Added two forms of DATEFORM, one using %02d,
	the other %.2d.
	* rcslex.c: Changed exit status on error to 1.

Wed Dec  8 21:34:49 1982  Walter F. Tichy  <wft@purdue>

	* ci.c: Fixed return from addbranch().
	* ci.c, co.c, rcsutil.c, rlog.c: Using DATEFORM to format dates.

	* co.c: removed actual from call to preparejoin;
	re-fixed printing of done at the end.

	* rcs.c: Replaced getdelta() with gettree(),
	changed breaklock to update field lockedby, added some diagnostics.

	* rlog.c: removed call to checkaccesslist().
	* rlog.c, rcsfnms.c: removed unused variable.

	* rcssyn.c: renamed Commentleader to Commleader.

Sat Dec  4 13:24:08 1982  Walter F. Tichy  <wft@purdue>

	* ci.c: Updated field lockedby in removelock(),
	moved getlogmsg() before calling diff.
	* ci.c, co.c, rcsutil.c: Replaced SNOOPDIR with SNOOPFILE.
	* ci.c, co.c, rcsdiff.c, rcsrev.c, rlog.c:
	Replaced getdelta() with gettree().
	* co.c: Fixed printing of "done".
	* rcsdiff.c: Changed diagnostics.
	* ident.c, rcsbase.h: Added LOCKER.
	* rlog.c: Removed updating of field lockedby.
	* rcsbase.h: Locker, and USG (redefinition of rindex).
	* rcsedit.c: Added expansion of keyword Locker.
	* rcsfcmp.c, rcskeep.c: Initial revision
	* rcsrev.c: Replaced getdelta() with gettree().
	* rcssyn.c: Added routine gettree(),
	which updates keeplock after reading the delta tree.
	* rcsutil.c: changed addlock() to update lockedby-field.

Fri Dec  3 17:08:04 1982  Walter F. Tichy  <wft@purdue>

	* rcs.c:
	Replaced getlogin() with getpwuid(), fclose() with ffclose(),
	/usr/ucb/Mail with macro MAIL. Removed handling of Suffix (-x).
	fixed -u for missing revno.
	* rcs.c, rlog.c: Disambiguated structure members.

	* rlog.c:  Replaced getlogin with getpwuid(), %02d with %.2d,
	fancydate with PRINTDATE.  Fixed printing of nil, removed
	printing of Suffix, added shortcut if no revisions are printed.

	* rcsbase.h:
	Added dbm.h, stdio.h, RCSBASE, RCSSEP, RCSSUF, WORKMODE, TMPFILE3,
	PRINTDATE, PRINTTIME, map, and ctab; removed Suffix.
	Redefined keyvallength using NCPPN.
	Changed putc() to abort on write error.

	* rcsedit.c:  Added line number correction in case editing does
	not start at the beginning of the file.  Changed keyword
	expansion to always print a space before closing KDELIM;
	Expansion for Header shortened.

	* rcsutil.c: Added check to addlock() ensuring only one lock per person.
	Addlock also returns a pointer to the lock created.
	Deleted fancydate().

Thu Dec  2 13:27:13 1982  Walter F. Tichy  <wft@purdue>

	* ci.c: Added option -k.

Sun Nov 28 19:45:37 1982  Walter F. Tichy  <wft@purdue>

	* ci.c: Added mustcheckin() to check for redundant checkins.
	Added xpandfile() to do keyword expansion for -u and -l;
	-m appends linefeed to log message if necessary.
	getlogmsg() suppresses prompt if stdin is not a terminal.
	Replaced keeplock with lockflag.
	* ci.c, co.c:
	Replaced fclose() with ffclose(),
	%02d with %.2d, getlogin() with getpwuid().

	* co.c: Replaced mode generation for working file with WORKMODE.
	Fixed nil printing. Fixed -j combined with -l and -p, and exit
	or non-existing revisions in preparejoin().

	* ident.c: removed Suffix;
	added ungetc to avoid skipping over trailing KDELIM.

	* merge.sh: 4.3BSD revision

	* rcsmerge.c: Initial revision

	* rcsfnms.c: Changed mktempfile() to store the generated filenames.
	Changed getfullRCSname() to store the file and pathname,
	and to delete leading "../" and "./".

	* rcsgen.c: Replaced ferror() followed by fclose() with ffclose().
	Putdesc() now suppresses the prompts if stdin is not a terminal.
	A pointer to the current log message is now inserted into the
	corresponding delta, rather than leaving it in a global variable.

	* rcslex.c: Renamed ctab to map and included EOFILE;
	ctab is now a macro in rcsbase.h.
	Added fflsbuf(), fputs(), and fprintf(), which abort the RCS operations
	properly in case there is an IO-error (e.g., file system full).

	* rcsrev.c: fixed compartial() and compnum() for nil-parameters;
	fixed nils in error messages. Testprogram output shortened.

	* rcssyn.c: Reading and printing of Suffix removed;
	version COMPAT2 skips the Suffix for files of release 2 format.
	Fixed problems with printing nil.

Sat Nov 27 12:24:37 1982  Walter F. Tichy  <wft@purdue>

	* rcsutil.c:  moved rmsema(), trysema(), trydiraccess(),
	getfullRCSname() to rcsfnms.c.  Introduced macro SNOOP so that snoop
	can be placed in directory other than TARGETDIR.
	Changed %02d to %.2d for compatibility reasons.

Sun Nov 14 14:49:30 1982  Walter F. Tichy  <wft@purdue>

	* rcsedit.c:
	removed Suffix from keyword expansion. Replaced fclose with ffclose.
	keyreplace() gets log message from delta, not from curlogmsg.
	fixed expression overflow in while(c=putc(GETC....
	checked nil printing.

Fri Nov 12 14:29:40 1982  Walter F. Tichy  <wft@purdue>

	* rcsfnms.c: changed pairfilenames() to handle file.sfx,v;
	also deleted checkpathnosfx(),
	checksuffix(), checkfullpath(). Semaphore name generation updated.
	mktempfile() now checks for nil path; freefilename initialized properly.
	Added Suffix .h to InitAdmin. Added testprogram PAIRTEST.
	Moved rmsema, trysema, trydiraccess, getfullRCSname
	rom rcsutil.c to here.

Mon Oct 18 20:57:23 1982  Walter F. Tichy  <wft@purdue>

	* ci.c:
	Fixed ci -l, added ci -u (both do an implicit co after the ci).
	Changed conflicting identifiers.
	* ci.c, co.c, rcs.c: Fixed call to getlogin(), added call to
	getfullRCSname().
	* ci.c, co.c, rcs.c: An RCS file inherits its mode during the first ci
	or rcs -i from the working file, otherwise it stays the same,
	except that write permission is removed.
	* ci.c, co.c, rcs.c, rcsedit.c, rcsgen.c: Added check for write error.

	* co.c: The working file inherits its mode from the RCS file, plus
	write permission for the owner.  The write permission is not given if
	locking is strict and co does not lock.  An existing working file
	without write permission is deleted automatically.  Otherwise, co asks
	(empty answer: abort co).

	* rcs.c: I replaced curdir() with getfullRCSname(),
	cleaned up handling -U/L, and changed conflicting, long identifiers.

	* rcsdiff.c: Initial revision

	* rlog.c: call to curdir replaced with getfullRCSname(),
	fixed call to getlogin(), cosmetic changes on output,
	changed conflicting long identifiers.

	* rcsbase.h: added macro STRICT_LOCKING, removed RCSUMASK.
	renamed JOINFILE[1,2] to JOINFIL[1,2].

	* rcsedit.c: Renamed expandstring() to xpandstring().

	* rcsfnms.c: InitAdmin() now initializes StrictLocks=STRICT_LOCKING
	(def. in rcsbase.h).  renamed checkpath() to checkfullpath().

	* rcsgen.c: improved the prompt on putdesc().

	* rcsrev.c: renamed compnum->cmpnum, compnumfld->cmpnumfld,
	numericrevno->numricrevno.

	* rcssyn.c: renamed putdeltatext to putdtext.

	* rcsutil.c: added function getfullRCSname().

Wed Oct 13 16:04:59 1982  Walter F. Tichy  <wft@purdue>

	* ci.c: added include file dbm.h for getting BYTESIZ.
	This is used to check the return code from diff portably.
	* ci.c, co.c, ident.c, rcs.c, rcsedit.c, rcsgen.c, rlog.c:
	fixed type of variables receiving from getc() (char -> int).

	* co.c: removed unused variables.

	* rcsedit.c: made keyword expansion loop in expandline()
	portable to machines without sign-extension.

	* rcsutil.c: Cleanup message is now suppressed in quiet mode.

Mon Oct 11 19:41:17 1982  Walter F. Tichy  <wft@purdue>

	* rcsbase.h: removed NBPW, NBPC, NCPW.
	added typdef int void to aid compiling

	* rcslex.c: removed unused label out:;
	* rcslex.c, rcssyn.c:
	made sure all calls to getc() return into an integer, not a char.

	* rcsrev.c: changed expandsym() to check for source==nil;
	returns zero length string in that case.

Thu May  6 11:38:00 1982  Walter F. Tichy  <wft@purdue>

	* maketime.c, partime.c: Initial revision
